Last Comment Bug 543396 - Package+Upload m-c tests of all 'dep opt' builds
: Package+Upload m-c tests of all 'dep opt' builds
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Release Engineering (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.1a1
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: 539355 551758 555734
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-31 20:08 PST by Serge Gautherie (:sgautherie)
Modified: 2010-04-09 08:12 PDT (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Enable packaging on trunk Windows (only) (1.35 KB, patch)
2010-02-01 12:34 PST, Serge Gautherie (:sgautherie)
no flags Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2010-01-31 20:08:03 PST
After bug 539355, we should be able to (manage to) package+upload tests to our 'tinderbox/' ftp even if the builders don't run the suites yet.

Much like what we did when c-c was set up.
(I'm most interested in Windows, as usual.)

NB: No need to do it for nightlies yet. (and we're still far from release...)
Comment 1 Robert Kaiser (not working on stability any more) 2010-02-01 08:02:31 PST
I don't have any plans to even think about, how to do that that before we can't even run tests on all builds on trunk.
Comment 2 Serge Gautherie (:sgautherie) 2010-02-01 12:34:57 PST
Created attachment 424647 [details] [diff] [review]
(Av1) Enable packaging on trunk Windows (only)

Based on
http://mxr.mozilla.org/build/search?string=packageTests&case=1&find=%2Fmozilla2%2Fconfig.py

I'm guessing, but I (still) have hope...
Comment 3 Robert Kaiser (not working on stability any more) 2010-02-01 12:40:32 PST
Comment on attachment 424647 [details] [diff] [review]
(Av1) Enable packaging on trunk Windows (only)

I don't know if this would be right, and as I said, I currently don't care.
Comment 4 Serge Gautherie (:sgautherie) 2010-03-19 18:50:10 PDT
Bug 551758 seems to be going this way...
Comment 5 Robert Kaiser (not working on stability any more) 2010-04-09 05:49:51 PDT
Actually, I finally decided to do this for trunk nevertheless: http://hg.mozilla.org/build/buildbot-configs/rev/45533860f668

Reconfig to apply it will come in a minute. Note that we have done it for linux64 since we switched to the more cleaned up configs some time last week.
Comment 6 Robert Kaiser (not working on stability any more) 2010-04-09 05:50:53 PDT
Comment on attachment 424647 [details] [diff] [review]
(Av1) Enable packaging on trunk Windows (only)

That patch isn't the best way to do it on current config.py any more, but it's fixed anyhow now ;-)
Comment 7 Serge Gautherie (:sgautherie) 2010-04-09 08:12:38 PDT
(In reply to comment #5)
> Note that we have done it for linux64 since [...]

Indeed: bug 555734!

***

V.Fixed, per ftp.

Note You need to log in before you can comment on or make changes to this bug.